Bug 21420 - G++ Segfault
Summary: G++ Segfault
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-28 13:12 UTC by Chmouel Boudjnah
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 11:16:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chmouel Boudjnah 2000-11-28 13:12:09 UTC
With last rawhide g++ this simple program make it segfault :

struct a { int a; };
struct b : a {};

Comment 1 Jakub Jelinek 2001-02-20 11:16:24 UTC
Should be fixed by http://gcc.gnu.org/ml/gcc-patches/2001-02/msg01190.html
(well, I have actually 3 possible patches, this one is the safest (but slowest
in the rare case structure has the same field name as itself).
Note that gcc-2.95 and earlier would give an error for such code, that's why
haven't worked on this before.
The patch will make it into gcc-c++-2.96-76.


Note You need to log in before you can comment on or make changes to this bug.